# Uses of Class
org.eclipse.jdt.core.dom.ExportsDirective

Packages that use ExportsDirective
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ExportsDirective in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ExportsDirective
Modifier and Type
Method
Description
`ExportsDirective`
AST.`newExportsStatement()`
Creates and returns a new unparented exports directive node for an unspecified, but legal, name; no target modules
Methods in org.eclipse.jdt.core.dom with parameters of type ExportsDirective
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ExportsDirective node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ExportsDirective node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(ExportsDirective node)`
Visits the given type-specific AST node.